# encoding: utf-8
import json
import time

import requests

url = "http://61.48.133.26:8111/title_to_video"
content = """
\n近日，美国国会高票通过了一项总值高达950亿美元的对外援助法案，迅速引发了国际社会的广泛关注，并在中美台三方之间引起了激烈争议。此法案的通过，标志着美国在全球战略布局上的重大调整，同时也为未来的国际关系增添了诸多不确定因素。\n\n\n据悉，这次的援助法案中，美国计划向乌克兰提供约610亿美元的援助，向以色列提供超过260亿美元的援助，以及向“印太安全”提供超过80亿美元的补充拨款。具体到台湾，美国计划提供19亿美元的军事援助。这些援助款项被认为是美国在全球范围内加强盟友关系、扩大影响力的重要手段。\n\n其中，援助乌克兰的610亿美元主要用于支持该国在面对俄罗斯的军事压力时的防御能力和经济恢复。这显示了美国对乌克兰局势的高度关注和介入。对以色列的260亿美元援助则主要用于军事支持和高科技合作，进一步巩固两国的战略同盟关系。\n\n而对于台湾的19亿美元援助，主要用于军事装备的采购和军事训练。这部分援助被认为是美国对台政策的延续，意在提升台湾的自我防御能力，同时也在一定程度上遏制中国大陆的军事压力。\n\n\n\n台湾当局在法案通过后的第一时间表示感谢，称这笔援助将大幅提升台湾的防御能力，确保其在复杂的国际形势下能够自我保护。然而，台湾内部也存在一些不同的声音。有评论指出，这些援助实际上大部分会回流到美国，因为台湾购买的军事装备和服务主要来自美国公司。换句话说，台湾可能在某种程度上成为了美国军事工业链条中的一环，进一步强化了台美之间的军事依赖关系。\n\n此外，这笔军事援助也引发了台湾内部对未来两岸关系的担忧。部分学者认为，美国的军事援助可能会使得两岸关系更加紧张，增加双方发生军事冲突的风险。因此，如何在接受援助的同时，保持与大陆的和平交流，成为台湾当局必须面对的难题。\n\n\n面对美国对台军事援助的举措，中国政府迅速做出了反应。首先，中国商务部发布了关于原产于美国的进口丙酸反倾销调查的初步裁定，这是中国对美国采取的经济反制措施之一。此举不仅是为了保护国内产业，更是向美国传递了一个明确的信息：中国在核心利益问题上不会退让。\n\n其次，中国外交部也发表声明，重申台湾问题是中国的核心利益，是中美关系中最不可逾越的红线。中国政府坚决反对任何形式的外来干涉，并表示将采取一切必要手段维护国家主权和领土完整。\n\n除了对台援助问题，中美之间的贸易摩擦也在不断加剧。美国政府提议将对中国的钢铁关税提高至少三倍，并对中国的海事、物流和造船业发起301调查。这一系列措施无疑将进一步恶化中美经贸关系。\n\n中国政府对此表示强烈不满，呼吁美国遵守公平竞争原则，停止贸易保护主义措施。中国商务部指出，中美两国的经贸合作不仅关系到两国人民的福祉，更对全球经济的稳定和发展具有重要意义。双方应在平等互利的基础上，通过对话和协商解决分歧，而非采取单边主义和贸易霸凌。\n\n\n美国国会通过的这项对外援助法案不仅引起了中美台三方的激烈反应，也受到了国际社会的广泛关注。欧洲各国对美国的全球战略调整表示关注，认为美国的这一系列举措可能会加剧国际局势的紧张，影响全球的和平与稳定。\n\n俄罗斯则对美国向乌克兰提供巨额援助表示强烈不满，认为美国此举是在火上浇油，可能会导致乌克兰局势的进一步恶化。中东地区的国家对美国对以色列的巨额援助表示关切，担心这会使得该地区的局势更加复杂和不稳定。\n\n\n综上所述，美国国会通过的这项总值高达950亿美元的对外援助法案，不仅是美国全球战略布局的一部分，也在中美台三方关系中掀起了新的波澜。各方都在为维护自身利益而努力，未来的中美台关系将在更多挑战和变数中前行。\n\n如何在复杂的国际环境中平衡各方利益，实现和平与稳定的发展，将成为各国共同面临的重要议题。我们期待各方能够以开放包容的态度，通过对话和合作，共同推动世界和平与发展的进程。\n\n关注国际大事，理解全球变化，让我们共同为世界的美好未来贡献智慧和力量。请大家记得点赞和转发，让更多人了解这项重要的国际动态！
"""
content2 = """
\n近年来，南海地区局势不断升温，菲律宾政府频繁挑衅中国在黄岩岛、仁爱礁等海域的主权，导致中菲关系进一步紧张。与此同时，美国在背后推波助澜，试图通过支持菲律宾对抗中国来遏制中国的崛起。这一系列事件背后的地缘政治博弈和利益纷争，使得南海地区面临着复杂而严峻的挑战。\n\n\n在不久前的一次新闻发布会上，菲律宾海警“西菲律宾海”发言人塔里埃拉声称，菲方已经越过了中国设定的红线。这种挑衅行为迫使中国不得不采取必要措施来维护其领土主权和海洋权益。菲律宾政府似乎完全无视中国的善意和已有协议，一再挑衅中国在南海的合法权益。这种背信弃义的做法不仅引起了中国外交部的强烈反击，也让中菲关系进一步陷入僵局。\n\n值得关注的是，这不是菲律宾第一次采取这样的挑衅行动。近年来，菲律宾在南海问题上频繁采取单方面行动，包括非法占据中国岛礁、进行非法捕捞等。这种行为不仅违反了国际法，也严重损害了中菲两国的互信基础。\n\n\n在菲律宾频繁挑衅中国的背后，美国的角色不容忽视。美国不仅在外交上声援菲律宾，还在军事上提供支持，试图通过这种方式遏制中国的崛起。美国在南海问题上的介入，使得局势更加复杂和紧张。\n\n美国的所作所为并不是出于维护地区和平与稳定的初衷，而是为了自身的地缘政治利益。通过支持菲律宾，美国试图在亚太地区维持其主导地位，遏制中国的影响力。然而，这种做法只会让地区局势更加紧张，不利于南海地区的和平与稳定。\n\n\n面对菲律宾的挑衅和美国的支持，中国在南海问题上采取了强硬的立场。中国海警船和海军已经展现出强大的警戒力量，坚决捍卫南海地区的和平与稳定。中国政府多次强调，任何侵犯中国领土主权和海洋权益的行为都将遭到坚决反击。\n\n中国在南海问题上的立场明确且坚定。南海地区的岛礁和海域自古以来就是中国的固有领土，中国不仅拥有历史性的权利，还有国际法的支持。中国政府将继续通过多种手段，坚决捍卫自身的领土主权和海洋权益，不会被任何外部势力所左右。\n\n\n南海问题是一个复杂的地缘政治议题，不仅涉及到各国在南海的利益分配和地缘战略，还涉及到国际法和公理的维护。菲律宾政府的挑衅行为不仅是对中国的挑战，也是对国际秩序的挑战。\n\n国际社会需要认识到，南海问题不仅仅是一个地区性问题，更是一个全球性的问题。各国应该本着维护国际法和国际秩序的原则，共同努力，寻求通过对话与合作解决南海问题的有效途径。只有通过共同努力，才能实现南海地区的长期稳定与繁荣。\n\n\n当前，南海地区的局势仍然动荡不安，各方需要理性应对，避免采取激进行动导致局势失控。希望各国能够本着维护地区和平与安全的精神，寻求通过对话与合作解决南海问题的有效途径。\n\n国际社会也应主动参与到南海问题的解决过程中来，为地区和平与稳定做出贡献。通过国际合作，可以建立更加公平、公正的国际秩序，共同维护南海地区的和平与繁荣。\n\n\n\n南海问题的解决需要各方的共同努力。希望各国能够本着相互尊重、平等协商的原则，通过对话与合作，寻求南海问题的解决方案。只有通过共同努力，才能实现南海地区的长期稳定与繁荣。\n\n中国将继续坚定捍卫南海地区的和平与安宁，维护地区的稳定与繁荣。希望国际社会能够认识到南海问题的复杂性和重要性，共同努力，为地区和平与稳定做出贡献。\n\n总之，南海局势的紧张不仅是中菲之间的问题，更是一个涉及国际关系与地缘政治的复杂议题。各方需要理性应对，共同努力，寻求通过对话与合作解决南海问题的有效途径。只有通过共同努力，才能实现南海地区的长期稳定与繁荣。南海局势紧张，菲律宾挑衅中国，地缘政治博弈引发关注。中国坚决捍卫领土权益，不受外部势力左右。转发给朋友，点赞+在看，共同关注南海问题，共同维护地区和平与繁荣。
"""
body = {
    "accountName": "音药养心馆",
    "content": content,
    "cover": "http://mmbiz.qpic.cn/mmbiz_jpg/DAIqn771G5OegJt9iacR7k7Gxgs0ic6Vg0fUtxmicJzxoBWicibQciaQkhgXzsyJqnfETRibGHMwZzsCkSuVXb16xdMTg/0?from=appmsg",
    # "ghId": "gh_6d205db62f04", # ab2
    "ghId": "gh_c69776baf2cd", # ab0
    "title": "中方担忧的一幕来了？菲律宾“靠山”终于现身，“真正对手”不出所料"
}

a = time.time()

header = {
    "Content-Type": "application/json",
}

response = requests.post(url, json=body, headers=header, timeout=600)
b = time.time()
print(b - a)
print(json.dumps(response.json(), ensure_ascii=False, indent=4))
